petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerAndFormatDestroy

Destroys a PetscViewerAndFormat struct.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerAndFormatDestroy(PetscViewerAndFormat **vf)

Collective on PetscViewer

### Input Parameters

viewer -the PetscViewerAndFormat to be destroyed.

### See Also

PetscViewerSocketOpen(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDrawOpen(), PetscViewerAndFormatCreate()

### Level

developer

### Location

src/sys/classes/viewer/interface/view.c

### Examples

src/ksp/ksp/examples/tutorials/ex2f.F90.html
src/snes/examples/tutorials/ex30.c.html
src/ts/examples/tutorials/ex7.c.html
src/ts/examples/tutorials/ex12.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages